/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package tests.api.java.nio.charset;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * This is autogenerated source file. Includes tests for package tests.api.java.nio.charset;
 */

public class AllTests {

    public static void main(String[] args) {
        junit.textui.TestRunner.run(AllTests.suite());
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("All tests for package tests.api.java.nio.charset;");
        // $JUnit-BEGIN$

        suite.addTestSuite(ASCCharsetDecoderTest.class);
        suite.addTestSuite(ASCCharsetTest.class);
        suite.addTestSuite(CharsetDecoderTest.class);
        suite.addTestSuite(CharsetEncoderTest.class);
        suite.addTestSuite(CharsetProviderTest.class);
        suite.addTestSuite(CharsetTest.class);
        suite.addTestSuite(CoderResultTest.class);
        suite.addTestSuite(CodingErrorActionTest.class);
// GBCharset not supported
//        suite.addTestSuite(GBCharsetDecoderTest.class);
//        suite.addTestSuite(GBCharsetEncoderTest.class);
        suite.addTestSuite(ISOCharsetDecoderTest.class);
        suite.addTestSuite(ISOCharsetEncoderTest.class);
        suite.addTestSuite(ISOCharsetTest.class);
        suite.addTestSuite(UTF16BECharsetDecoderTest.class);
        suite.addTestSuite(UTF16BECharsetEncoderTest.class);
        suite.addTestSuite(UTF16BECharsetTest.class);
        suite.addTestSuite(UTF16CharsetDecoderTest.class);
        suite.addTestSuite(UTF16CharsetEncoderTest.class);
        suite.addTestSuite(UTF16CharsetTest.class);
        suite.addTestSuite(UTF16LECharsetDecoderTest.class);
        suite.addTestSuite(UTF16LECharsetEncoderTest.class);
        suite.addTestSuite(UTF16LECharsetTest.class);
        suite.addTestSuite(UTF8CharsetTest.class);
        suite.addTestSuite(UTFCharsetDecoderTest.class);
        suite.addTestSuite(UTFCharsetEncoderTest.class);

        // $JUnit-END$
        return suite;
    }
}
